DynamicJava Javadoc: Class VariableContext.AbstractVariable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter.context
Class VariableContext.AbstractVariable

    java.lang.Object
      |
      +--koala.dynamicjava.interpreter.context.VariableContext.AbstractVariable

Direct Known Subclasses:
  VariableContext.Constant, VariableContext.Variable

Enclosing class:
  VariableContext

protected abstract static class VariableContext.AbstractVariable
extends java.lang.Object

To store the variables

Field Summary
`java.lang.String` | `name` The constant name

Constructor Summary
`protected` | `VariableContext.AbstractVariable()`

Method Summary
`abstract java.lang.Object` | `get(VariableContext ctx)` Sets the variable in the current scope
`int` | `hashCode()` Returns the hashCode
`abstract void` | `set(VariableContext ctx, java.lang.Object value)` Sets the variable in the current scope

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The constant name

Constructor Detail

### VariableContext.AbstractVariable

    protected VariableContext.AbstractVariable()

Method Detail

### set

    public abstract void set(VariableContext ctx,
                             java.lang.Object value)

  Sets the variable in the current scope

### get

    public abstract java.lang.Object get(VariableContext ctx)

  Sets the variable in the current scope

### hashCode

    public int hashCode()

  Returns the hashCode
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.